<?php
/**
 * Created by PhpStorm.
 * User: Admin
 * Date: 10.09.2020
 * Time: 21:39
 */

namespace Diamond\Repositories\MailingSubscriber;


use Diamond\Domain\MailingSubscriber\MailingSubscriberCollection;
use Diamond\Infrastructure\Models\MailingSubscriber\MailingSubscriber;
use Diamond\Infrastructure\Models\MailingSubscriber\MailingSubscriberQuery;
use Diamond\Repositories\PropelAbstractRepository;
use Propel\Runtime\ActiveQuery\ModelCriteria;
use Repo\CollectionInterface;
use Repo\CrudRepositoryBuilderInterface;
use Repo\EntityInterface;
use Repo\PaginationInterface;

class MailingSubscriberRepository extends PropelAbstractRepository implements CrudRepositoryBuilderInterface
{
    public static function createEntity(): EntityInterface
    {
        return new MailingSubscriber();
    }

    protected function createQuery(): ModelCriteria
    {
        return MailingSubscriberQuery::create();
    }

    protected function modifyCriteria(PaginationInterface $criteria, ModelCriteria $dbCriteria): void
    {
        
    }
    

    protected function createCollection(): CollectionInterface
    {
        return new MailingSubscriberCollection();
    }
}